Bug 1316526 - Review Request: jo - Command-line to create JSON objects
Review Request: jo - Command-line to create JSON objects
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sascha Spreitzer (Red Hat)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 07:12 EST by Kenjiro Nakayama
Modified: 2017-08-16 04:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
knakayam: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Kenjiro Nakayama 2016-03-10 07:12:54 EST
Spec URL: https://kenjiro.fedorapeople.org/pkgreview/jo/jo.spec
SRPM URL: https://kenjiro.fedorapeople.org/pkgreview/jo/jo-0.8-1.fc23.src.rpm
Description: Command-line to create JSON objects
Fedora Account System Username: kenjiro
Comment 2 Sascha Spreitzer (Red Hat) 2016-06-21 11:09:53 EDT
Hi Kenjiro

I will be reviewing this package.

Kind regards
Sascha
Comment 3 Kenjiro Nakayama 2016-06-21 11:30:14 EDT
Thank you, Sascha!
Comment 4 Robert Führicht 2017-08-16 04:03:16 EDT
Hey,

I hope this is ok to drop here.

jo has been bumped to 1.1, I've created a RPM last week for EPEL7. Most significant differences in my spec file are using the release tarball instead of the commitish-named tarball and the reliance on pandoc to (re)build the docs.

----------snip-----------
Name:           jo
Version:        1.1
Release:        2%{?dist}
Summary:        JSON output from a shell
Group:          Applications/Text
License:        GPLv2+
URL:            https://github.com/jpmens/jo
Source0:        https://github.com/jpmens/jo/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pandoc 

%description
A small utility to create JSON objects

%prep
%setup -q
rm -f %{name}.1

%build
autoreconf -i
%configure
make %{?_smp_mflags}
make %{name}.1
make %{name}.md

%install
make install DESTDIR=%{buildroot}

%clean
make distclean
rm -f %{name}.1 %{name}.md

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING %{name}.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Aug 16 2017 Robert Führicht <robert.fuehricht@jku.at> - 1.1-2
- add rpmlint suggestions
- add bit from Kenjiro Nakayama's take on jo 1.0

* Fri Aug 11 2017 Robert Führicht <robert.fuehricht@jku.at> - 1.1-1
- initial packaging
----------snip-----------

Note You need to log in before you can comment on or make changes to this bug.